package com.fs.live.service;


import com.fs.live.domain.LiveUserLike;

import java.util.List;

/**
 * 用户直播赞Service接口
 *
 * @author fs
 * @date 2025-07-11
 */
public interface ILiveUserLikeService {
    /**
     * 查询用户直播赞
     *
     * @param id 用户直播赞主键
     * @return 用户直播赞
     */
    LiveUserLike selectLiveUserLikeById(Long id);

    /**
     * 查询用户直播赞列表
     *
     * @param liveUserLike 用户直播赞
     * @return 用户直播赞集合
     */
    List<LiveUserLike> selectLiveUserLikeList(LiveUserLike liveUserLike);

    /**
     * 新增用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    int insertLiveUserLike(LiveUserLike liveUserLike);

    /**
     * 修改用户直播赞
     *
     * @param liveUserLike 用户直播赞
     * @return 结果
     */
    int updateLiveUserLike(LiveUserLike liveUserLike);

    /**
     * 批量删除用户直播赞
     *
     * @param ids 需要删除的用户直播赞主键集合
     * @return 结果
     */
    int deleteLiveUserLikeByIds(Long[] ids);

    /**
     * 删除用户直播赞信息
     *
     * @param id 用户直播赞主键
     * @return 结果
     */
    int deleteLiveUserLikeById(Long id);

    LiveUserLike selectLiveUserLikeByIds(Long liveId, Long userId);
}
